Oracle® Application Server Certification Information
10 g Release 2 (10.1.2)
 

 

Oracle® Application Server

Certification Information

10 g Release 2 (10.1.2)

B25703-62

April 8, 2013

This document outlines the certified hardware and software configurations for Oracle Application Server.

This document contains the following topics:

1 General Oracle Application Server Certification Information

Table 1 through Table 5 contain the overall certification information for Oracle Application Server. Note that not all Oracle Application Server components will be certified on all platforms. For component-specific certification information, please see Section 2, "Additional Component Certification Details".

Oracle Application Server 10g Release 2 (10.1.2.0.2) and higher are supported on Montecito based servers for Linux. Montecito (Dual-Core) and later Itanium-2 based servers are not supported for Windows. 

For information on Oracle Virtualization Support, refer to:
http://www.oracle.com/technetwork/middleware/ias/downloads/fusion-certification-100350.html

For information on supported Virtualization and Partitioning Technologies, refer to:
http://www.oracle.com/technetwork/middleware/ias/oracleas-supported-virtualization-089265.html

Every Oracle Fusion Middleware product that is certified on Linux, Windows or Oracle Solaris as physical OS is also certified and supported when running as virtual guest on Oracle VM as long as the respective operating system is supported by Oracle VM.   

For Oracle Identity Management 10 g 10.1.4.0.1 certification information, please see the Oracle Identity Management Certification Information document on OTN at:
http://www.oracle.com/technetwork/middleware/ias/downloads/idm-certification-101401-083012.html

Certified Platforms

Table 1 Oracle Application Server Certified Platforms

Processor Bus Architecture Operating System JDK Vendor Additional Information (see Table 2)

SPARC

64 bit

Solaris 8

Sun
(32 or 64 bit)

1,2,6,9,15,23,24,30,31,32,33,68

SPARC

64 bit

Solaris 9

Sun
(32 or 64 bit)

1,2,6,9,10,15,23,24,30,31,32,33,68

SPARC

64 bit

Solaris 10

Sun (32 or 64 bit)

1,2,5,6,14,15,23,24,30,31,32,33,57,60,68,74

SPARC

32 bit

Solaris 8

Sun
(32 bit)

1,2,5,9,23,24,26,27,28,30,31,32,33

SPARC

32 bit

Solaris 9

Sun
(32 bit)

1,2,5,9,24,26,27,28,31,33

SPARC

32 bit

Solaris 10

Sun
(32 bit)

36,57

PA-RISC

64 bit

HP-UX 11i (11.11)

HP
(32 bit)

1,2,5,6,23,24,28,30,31,32,33,34

PA-RISC

64 bit

HP-UX 11i (11.23)

HP
(32 bit)

1,2,4,5,6,23,24,28,30,31,32,33,34

PA-RISC 64 bit HP-UX 11iV3 (11.31) HP
(32 bit)
1,2,4,5,6,23,24,28,30,31,32,33,34, 67

Power

64 bit

AIX 5L (5.2 ML04 or higher)

IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10gR2 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/software/support/systemsp/lifecycle/index.html

IBM
(32 bit)

1,2,5,6,11,16,24,28,30,31,32,33,34,58,68

Power

64 bit

AIX 5L (5.3 ML01 or higher)

IBM
(32 bit)

1,2,4,5,6,11,23,24,28,30,31,32,33,34,58,68

Power

32 bit

AIX 5L 5.3

IBM
(32 bit)

36

Power 64 bit AIX 6.1 IBM
(32 bit)
1,2,4,5,6,11,23,24,28,30,31,32,33,34,58,68, 69, 72

Power

64 bit

Red Hat Linux EL 4.0 (UL1 or higher)

IBM
(32 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,37,68

Power

64 bit

SLES 9 (SP2 or higher)

IBM
(32 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,37,68

Intel

32 bit

Asianux 2.0

Sun
(32 bit)

1,2,3,4,5,6,11,23,24,26,28,30,31,32,33,37,38,39,78

Intel

32 bit

Oracle Enterprise Linux 4.0 (UL4 or higher) / Oracle VM

Sun
(32 bit)

1,2,4,5,6,23,24,30,31,32,33

Intel 32 bit Oracle Enterprise Linux 5.x / Oracle VM Sun
(32 bit)
1,2,4,5,6,23,24,30,31,32,33, 71, 72

Intel

32 bit

Red Hat Linux EL 3.0 (UL3 or higher)

Sun
(32 bit)

1,2,9,17,21,22,30,31,32,33

Intel

32 bit

Red Hat Linux EL 4.0 (UL1 or higher) /Oracle VM

Sun
(32 bit)

1,2,4,5,6,23,24,30,31,32,33

Intel 32 bit Red Hat Linux EL 5.x  / Oracle VM Sun
(32 bit)
1,2,4,5,6,23,24,30,31,32,33, 71, 72

Intel

32 bit

Red Hat AS 2.1 UL5 with Errata 49 kernel or higher

Sun
(32 bit)

1,2,4,5,6,23,24,30,31,32,33

Intel

32 bit

Red Hat AS 4.0 (UL1 or UL2)

Sun
(32 bit)

36

Intel 32 bit SLES 10 Sun
(32 bit)
1,2,5,6,9,23,24,30,31,32,33,72,73

Intel

32 bit

SLES 9

Sun
(32 bit)

1,2,5,6,9,23,24,30,31,32,33

Intel

32 bit

SLES 8 SP3

Sun
(32 bit)

1,2,4,5,6,30,31,32,33

Intel

32 bit

Solaris 9 and Solaris 10

Sun
(32 bit)

2,5,6,25,49,50,51,52,53,54,55,57

Intel

32 bit

Windows 2003 R1 (with SP1 or higher) and R2

Sun
(32 bit)

1,6,7,31

Intel

32 bit

Windows 2000 with SP3 or higher

Sun
(32 bit)

1,8,30,31,32

Intel

32 bit

Windows XP with SP2 or higher

Sun
(32 bit)

1,3,4,5,6,13,23,24,26,27,28,30,32,33,56

Intel 32 bit Windows Vista Sun
(32 bit)
1,2,4,5,6,11,23,24,26,27,28,30,32,33,56,70, 72
Intel EM64T
AMD64
64 bit Oracle Enterprise Linux 4.0 (UL4 or higher) / Oracle VM Sun
(32 bit)
1,2,4,5,6,15,23,24,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Oracle Enterprise Linux 5.x  / Oracle VM Sun
(32 bit)
1,2,4,5,6,15,23,24,28,30,31,32,33,68, 71, 72
Intel EM64T
AMD64
64 bit Red Hat Linux EL 3.0 (UL3 or higher) (32 or 64 bit OS) Sun
(32 bit)
1,2,4,5,6,23,24,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Red Hat Linux EL 4.0 (UL1 or higher) (32 or 64 bit OS) / Oracle VM Sun
(32 bit)
1,2,4,5,6,23,24,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Red Hat Linux EL 5.x  / Oracle VM Sun
(32 bit)
1,2,4,5,6,23,24,28,30,31,32,33,68, 71, 72
Intel EM64T
AMD64
64 bit SLES 10 (32 or 64 bit OS) Sun
(32 bit)
1,2,4,5,6,23,24,28,30,31,32,33,68,72,73
Intel EM64T
AMD64
64 bit SLES 9 (32 or 64 bit OS) Sun
(32 bit)
1,2,4,5,6,23,24,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Windows 2003 R1 (with SP1 or higher) and R2 (64 bit OS) Sun
(32 bit)
1,2,4,5,6,19,23,24,26,27,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Windows 2003 R1 with SP1 or higher (32 bit OS) Sun
(32 bit)
1,2,4,5,6,23,24,26,27,28,30,31,32,33,35,68
Intel EM64T
AMD64
64 bit Windows 2000 with SP3 or higher (32 bit OS) Sun
(32 bit)
1,2,4,5,6,23,24,26,27,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Windows XP Professional (64 bit OS) Sun
(32 bit)
1,2,4,5,6,18,23,24,26,27,28,30,31,32,33,68
Intel EM64T
AMD64
64 bit Windows XP Professional (32 bit OS) Sun
(32 bit)
1,2,4,5,6,18,23,24,26,27,28,30,31,32,33,35,68
Intel EM64T
AMD64
64 bit Windows Vista Sun
(32 bit)
1,2,4,5,6,18,23,24,26,27,28,30,31,32,33,68,70, 72

AMD Opteron, Intel Xeon

64 bit

Solaris 10

Sun
(32 bit)

2,5,6,25,49,50,51,52,53,54,55,57,68

Itanium-2

64 bit

HP-UX 11i v2(11.23)

HP
(32 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,59,68

Itanium-2

64 bit

HP-UX 11i v3 (11.31)

HP
(32 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,59,66,68

Itanium-2

64 bit

Red Hat Linux EL 3.0 (UL6)

BEA
JRockit
(64 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,68,75

Itanium-2

64 bit

Red Hat Linux EL 4.0 (UL1)

BEA
JRockit
(64 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,68,75

Itanium-2

64 bit

SLES 9 SP3

BEA
JRockit
(64 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,68,75

Itanium-2

64 bit

Windows 2003 with SP1 or higher

BEA
JRockit
(64 bit)

1,2,4,5,6,11,23,24,25,28,30,31,32,33,68,76,77

PowerPC (G4)

32 bit

Apple Macintosh OS X (10.3.9)

Apple
(32 bit)

29

IBM zSeries

64 bit

Red Hat Linux EL 4.0 Update 2

IBM
(32 bit)

1,2,4,5,6,11,23,24,25,30,31,32,33,34,37,68

IBM zSeries 64 bit Red Hat EL 5 IBM
(32 bit)
1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,37,68,71,72

IBM zSeries

64 bit

SLES 9 SP2

IBM
(32 bit)

1,2,4,5,6,11,23,24,25,30,31,32,33,34,37,68

IBM zSeries 64 bit SLES 10 IBM
(32 bit)
1,2,4,5,6,11,23,24,25,28,30,31,32,33,34,37,68,72,73

Alpha

64 bit

HP TRU64 Unix 5.1B Patchkit 5

HP
(64 bit)

2,4,5,6,11,30,32,33,52,53,54,55,61,62,63,64,65,68

Table 2 Additional Information for Certified Platforms

Number Description

1

The middle tier, identity management tier, and metadata repository can all be running independently on any Oracle Application Server supported platform. For example, you can run a middle tier on a certified Solaris machine, identity management on a certified HP machine, and a metadata repository on a certified AIX machine.

2

Oracle Business Activity Monitoring certification is not planned.

3

Only Oracle Business Activity Monitoring (Client) is certified.

4

Oracle COREid Access and Identity certification is not planned.

5

Oracle COREid Federation certification is not planned.

6

Oracle Web Services Manager certification is not planned.

7

Oracle COREid Access and Identity is certified only for Windows 2003 EE.

8

Oracle COREid Federation and Oracle COREid Access and Identity require SP4

9

Oracle COREid Access and Identity and Oracle COREid Federation require gcclib, which is available on OTN at:

http://www.oracle.com/technology/software/products/ias/htdocs/101202.html

10

Oracle TopLink certification is not planned.

11

Oracle JDeveloper certification is not planned.

12

Oracle Application Server Portal (10.1.4.0.0) certification is planned, but not yet available.

13

Certified for J2EE and Web Cache installation type, Oracle Application Server TopLink, and Oracle JDeveloper only.

14

Please see Oracle MetaLink Note 330016.1, "Installation Requirements for Solaris10 Operating System (SPARC)."

15

Oracle Application Server will run as a 32-bit application although the processor is 64 bit.

16

Oracle COREid Access and Identity will run as a 32-bit application although the processor is 64 bit.

17

Oracle COREid Access and Identity is certified on ES 3.0, AS 3.0.

18

Certified only for J2EE and Web Cache and Developer Kits installation types and Oracle Application Server TopLink.

19

Infrastructure installation type is not supported.

20

Oracle Application Server Metadata Repository Creation Assistant is planned, but not yet available.

21

Oracle COREid Federation is certified on AS 3.0.

22

Oracle Web Services Manager is certified on AS 3.0.

23

Oracle Virtual Directory Server is not certified.

24

Oracle Virtual Directory Manager Client is not certified.

25

Oracle Metadata Repository Upgrade Assistant is not certified, as this is the first full release on this platform.

26

Oracle BPEL Process Manager is not certified.

27

Oracle Application Server Integration is not certified.

28

Oracle Application Server Adapters (10.1.2.0.1) is not certified. Oracle
Application Interconnect (OAI) and Technology Adapters 9.1.2.x are certified.

29

Certified for Oracle JDeveloper only.

30

Oracle Identity Manager is not certified.

31

Oracle Portlet Factory is not certified.

32

Oracle Xellerate Connector Pack is not certified.

33

Oracle B2B Document Editor is not certified.

34

Oracle BPEL Process Manager for OracleAS Middle Tier is supported, but Oracle BPEL Process Manager for Developers is not supported.

35

Oracle InterConnect is supported, but Oracle B2B is not supported. Note: refer to note 68

36

Certified for Oracle Identity Manager only.

37

Oracle MapViewer is not certified.

38

Before using the Forms Migration tool, remove /usr/lib/libclntsh.so.10.1 so you can use the version of libclntsh.so.10.1 provided with Oracle Application Server.

39

Oracle Application Server Personalization is not certified.

40

Oracle HTTP Server 2.0.52 is not certified on this platform.

41

Oracle Ultra Search is not certified on this platform.

42

Supported installation types are: J2EE and Web Cache, Infrastructure, and Portal and Wireless.

43

Oracle Application Development Framework is not certified but planned for this platform.

44

Oracle Business Intelligence Discoverer is not certified but planned for this platform.

45

Oracle Forms is not certified but planned for this platform.

46

Oracle Sensor Edge Server is not certified but planned for this platform.

47

Oracle TopLink is not certified but planned for this platform.

48

Oracle Reports is not certified but planned for this platform.

49

Oracle Identity Manager is not certified and not planned for this platform.

50

Oracle B2B Document Editor - for EDI, HL7, HIPAA, NCPDP, RosettaNet, etc.  is not certified and not planned for this platform.

51

Oracle JDeveloper 10.1.2.0.2 is not certified and not planned for this platform.

52

Oracle Mapviewer is not certified and not planned for this platform.

53

Oracle Virtual Directory is not certified and not planned for this platform.

54

Oracle Xellerate Connector Pack is not certified and not planned for this platform.

55

Oracle Xellerate Identity Provisioning is not certified and not planned for this platform.

56

Certified for Forms and Reports installation type for one user per machine only.

57

Please review the Oracle CoreID Access and Identity (7.0.4.3 ) release notes for important information about running on Solaris 10.

58

64-bit IBM SDK 1.4.2 SR(1+) support for Oracle Application Server 10g(10.1.2.0.2) running on IBM AIX is limited to OC4J customer instances and BPEL Process Manager. You must first apply patch 5440420.

59

HP-UX Itanium Servers containing the Montecito chip are supported. The following HP patches are required:

  • HP-UX 11.23 Hardware Enablement Patches for HP-UX 11i v2, September 2006

  • Feature Enablement Patches for HP-UX 11i v2, September 2006

No Oracle patches are required.

60

Certified for both 32-bit and 64-bit operating system.

61

Supported installation types are: J2EE and Web Cache, Infrastructure, Portal and Wireless, and BI and Forms (Discoverer is not included in the BI and Forms stack as it is not supported on HP TRU64).

62

Oracle Business Intelligence Discoverer is not supported on this platform.

63

Oracle Application Server and Oracle Developer Suite 10 g Release 2 (10.1.2) Patch Set 2 (10.1.2.2.0) and above is required for the following components:

  • Oracle Application Development Framework (ADF)

  • Oracle Application Server Metadata Repository

  • Oracle Application Server Metadata Repository Creation Assistant

  • Oracle Application Server Adapters

  • Oracle Application Server Certificate Authority

  • Oracle Application Server Integration

  • Oracle Application Server Single Sign-On

  • Oracle BPEL Process Manager

  • Oracle Containers for J2EE (OC4J)

  • Oracle Enterprise Manager 10 g Application Server Control

  • Oracle Forms

  • Oracle HTTP Server

  • Oracle Internet Directory

  • Oracle Portal

  • Oracle Portal Upgrade

  • Oracle Portlet Factory

  • Oracle Reports

  • Oracle Web Cache

  • Oracle Wireless

64

Oracle Application server 10 g Release 2 (10.1.2) is the terminal release for HP TRU64.

65

For more information, refer to the updated release notes at the following location:

                                         

http://download.oracle.com/docs/cd/B14099_19/tru64.1012/relnotes.1012/relnotes/toc.htm

66

For additional installation and certification information for HP-UX 11iV3, please refer to MetaLink note number 438738.1 on  My Oracle Support .

67 HP patch PHKL_35936 is required.
The following Oracle patches must be applied depending on the version of Oracle Application Server 10g Release 2 you are using:
  • 10.1.2.0.2 requires patch 6396555 (http://updates.oracle.com/download/6396555.html)
  • 10.1.2.2.0 requires patch 6522605 (http://updates.oracle.com/download/6522605.html)

68

          Oracle B2B is supported on a 64 bit version of the OS.

69
  • 10.1.2.0.2 requires patch 6806431 (http://updates.oracle.com/download/6806431.html)
  • 10.1.2.2 requires patch 6806443 (http://updates.oracle.com/download/6806443.html)
 For installing OracleAS 10g Rel 2 on AIX 6L (6.1), refer to Oracle Application Server Installation Guide and Oracle Application Server Release Notes at the following locations:
     
Oracle® Application Server Installation Guide 10g Release 2 (10.1.2) for AIX 5L Based Systems (64-Bit) Oracle® Application Server Release Notes 10g Release 2 (10.1.2) for AIX 5L Based Systems (64-Bit)

NOTE: There are no extra system requirements specific to AIX 6L. For example, from an operating system package perspective, what AIX 6L provides by default should be sufficient.
70  
Please refer to MetaLink note number 559619.1 on My Oracle Support for information about how to install Oracle Application Server 10g (10.1.2) on Windows Vista.
Please refer to MetaLink note number 564739.1 on My Oracle Support for information about how to install Oracle Discoverer Administrator / Discoverer Desktop 10g (10.1.2) on Windows Vista.
 
71 Oracle Enterprise Linux 5.x and Red Hat 5.x are supported with patchset 10.1.2.3 or higher.  For additional information regarding installation, applicable patches, and operating system requirements please refer to Metalink note 947193.1 on  My Oracle Support.
72 "Oracle Identity Management and OracleAS Metadata Repository" and "OracleAS Metadata Repository" installation types are not supported due to the fact that the 10gR1 database that comes with seeded Metadata Repository is not supported on this platform.
73 SLES 10 is supported with patchset 10.1.2.3 and higher.  For additional information regarding installation, applicable patches, and operating system requirements please refer to MetaLink note number 947193.1 on  My Oracle Support.
74 Oracle Fusion Middleware is supported on ZFS. For details, please refer to MetaLink note number 879491.1 on  My Oracle Support.
75 Oracle Application Server 10g Release 2 (10.1.2.0.2) and higher are supported on Montecito based servers for Linux.
76 Oracle Application Server 10g Release 2 (10.1.2.0.2) and higher are supported on Single-Core Itanium-2 processors (like, McKinley and Madison).  
77 Montecito (Dual-Core) and later Itanium-2 based servers are not supported for Windows.
78 Please refer to MetaLink note number 377605.1 on  My Oracle Support for additional information on installing Oracle Application Server 10g Release 2 on Asianux

Certified JDKs

In general, Oracle Application Server 10 g (9.0.4, 10.1.2.x, and 10.1.3.x) supports using JDK extensions higher than the one the product originally shipped with. For example, on 9.0.4 it is possible to move from JDK 1.3.1_06 to extension JDK 1.3.1_07 or beyond. Please consult Table 1 and Table 3to see the JDK versions supported on each platform.

If you want to use different JDK versions or JDK providers than those shipped with the application server, please consult Table 1 and Table 3 check the JDK certification information to ensure Oracle supports this configuration. JDK switching is only supported post installation.

Please note that Java SE 1.4.2 has reached it's end-of-life (EOL) on Extended Support. You are encouraged to upgrade to a later version of Java SE. Refer the following OTN link for more information about Oracle Java SE Support Roadmap:
http://www.oracle.com/technetwork/java/eol-135779.html
 

Table 3 Oracle Application Server Certified JDKs

  Certification Details

JDKs Foot 1 

Sun JDK 1.4.2_(06+) Foot 2 

Sun JDK 1.4.2_12-b03 Foot 3 

BEA JRockit JDK 1.4.2_(05+) Foot 4 

BEA JRockit JDK 1.4.2_(10+) Foot 5 

HP JDK 1.4.2.(05+) Foot 6 

HP JDK 1.4.2.(07+) Foot 7 

IBM SDK 1.4.2 SR(1+)

IBM SDK 1.4.2 SR4(1+) Foot 8 

IBM SDK 1.4.2 SR5 (cx390142-20060421) Foot 9 

IBM SDK 1.4.2 SR12 (cx390142-20080923) Foot 10 

Apple JDK 1.4.2_(06+)

Footnote 1 A plus sign (+) after the fourth digit in the version number indicates that this and all higher versions of the JRE/JINIT/JDK extensions are certified. For example, 1.4.2_(06+) means that 1.4.2_06, 1.4.1_07, and any later 1.4.2_ xx versions are certified. See Table 1 for vendors supported for your platform.

Footnote 2 The 64 bit version of the Sun JDK is certified for use with customer J2EE applications. See the 64-bit JDK Upgrade Documentation for Solaris64 (SPARC) available on Oracle Metalink in Note 373535.1.

Footnote 3 Certified for Solaris x86 (Solaris 9 and Solaris 10) and Solaris AMD Opteron (Solaris 10) for all applicable processors (see Table 1).

Footnote 4 Certified for Windows platforms on Itanium-2 only

Footnote 5 Certified for Linux platforms on Itanium-2 only

Footnote 6 Certified for HP-UX 11i (11.11, 11.23) on PA-RISC and HP TRU64 Unix 5.1B Patchkit 5 on Alpha only

Footnote 7 Certified for HP-UX 11i (11.23) on Itanium-2 only

Footnote 8 Certified for Red Hat 4.0 EL and SLES 9 on Power only

Footnote 9 Certified for IBM zSeries running Red Hat Linux 4.0 Update 2 and SLES 9 SP2 only 

Footnote 10 Certified for IBM zSeries running Red Hat Linux 4.0 Update 2 and SLES 9 SP2, RedHat Linux 5.0 and SLES 10

Oracle Database 11g Certification for Customer Data, and for Use with Oracle Application Server Metadata Repository Creation Assistant

All available editions of Oracle Database 11g (11.1.0.6) or higher are supported. Please refer to Metalink note 740417.1 for details on Oracle Database 11gR1 Certification for Oracle Application Server 10g (10.1.2.x) and Metalink note 887365.1 for details on Oracle Database 11gR2 Certification for Oracle Application Server 10g (10.1.2.x) .

Oracle Database 10 g and earlier Certification for Customer Data, and for Use with Oracle Application Server Metadata Repository Creation Assistant

The following database terms are used in this section:

  • customer database: The original and primary database for storing your application data. Unless otherwise noted, the customer databases listed in this chapter are Oracle databases.

  • seed database: The Oracle Database that is installed when you perform an Oracle Application Server Infrastructure installation.

  • metadata repository: A database containing schemas and objects needed by Oracle Application Server components. The metadata repository can be the seed database or can be loaded into an existing database. Unless otherwise noted, the metadata repositories listed in this chapter are Oracle databases.

Please visit Oracle Metalink to download the ARU patch to be applied to a 9.2.0. x database. Please use the Oracle Database 10 g (10.1.0.4.2) Patch Set CD-ROM to patch a 10.1. x database.

You can create the Metadata Repository on platforms on which Oracle Application Server Metadata Repository Creation Assistant is not certified. To do so, run OracleAS Metadata Repository Creation Assistant on a certified platform and use the Remote Load feature to load the Metadata Repository on an Oracle Database certified for use as the Metadata Repository.

Oracle Application Server does not support a subset of the configurations supported by the Oracle Database. Wherever we certify a specific version of the Oracle Database for creating the Oracle Application Server Metadata Repository, it is certified in all the configurations that the Oracle Database itself supports (such as a single instance, RAC, RAC with ASM) unless otherwise indicated.

Table 4 Oracle Application Server Certified Oracle Databases (10g and earlier)

Platform Customer Database Metadata Repository Database Created Using Metadata Repository Creation Assistant Additional Information (see Table 5)
  9.2.0.8 or higher (in the 9.2 product line) 10.1.0.4 or higher (in the 10.1 product line) 10.2.0.1.0 or higher (in the 10.2 product line) 9.2.0.8 or higher (in the 9.2 product line) 10.1.0.4 or higher (in the 10.1 product line) 10.2.0.1.0 or higher (in the 10.2 product line)  

SPARC 64 bit Solaris 8

Y

Y

Y

Y

Y

Y

1,2,3,4,7

SPARC 64 bit Solaris 9

Y

Y

Y

Y

Y

Y

1,2,3,4,7

SPARC 64 bit Solaris 10

Y

Y

Y

Y

Y

Y

7

SPARC 32 bit Solaris 8

Y

NA

NA

Y

NA

NA

 

SPARC 32 bit Solaris 9

Y

NA

NA

Y

NA

NA

 

PA-RISC 64 bit hp-ux 11i (11.11)

Y

Y

Y

Y

Y

Y

1,2,3,4,7

PA-RISC 64 bit hp-ux 11i (11.23)

Y

Y

Y

Y

Y

Y

1,2,3,4,7

Power 64 bit AIX 5L (5.2 ML04 or higher)

IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10gR2 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/software/support/systemsp/lifecycle/index.html

Y

Y

Y

Y

Y

Y

1,2,3,4,7

Power 64 bit AIX 5L (5.3 ML01 or higher)

Y

Y

Y

Y

Y

Y

1,2,3,4,7

Intel 32 bit Oracle Enterprise Linux 4.0 UL4 / Oracle VM

Y

Y

Y

Y

Y

NA

4,6,7

Power 64 bit Red Hat 4.0 (UL1 or higher)

N

N

Y

N

N

Y

10,11

Power 64 bit SLES 9 (SP2 or higher)

N

N

Y

N

N

Y

10,11

IBM zSeries 64 bit

             
               

Intel 32 bit Asianux 2.0

N

Y

Y

N

Y

Y

3,9,10,11,12

Intel 32 bit Red Hat Linux EL 3.0 UL3

Y

Y

Y

Y

Y

Y

1,2,3,4,7

Intel 32 bit Red Hat Linux EL 4.0 UL1 / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,4,7

Intel 32 bit Red Hat AS 2.1 UL5 with Errata 49 kernel or higher

Y

Y

Y

Y

Y

NA

4,6,7

Intel 32 bit Solaris 9 and Solaris 10

N

Y

Y

N

Y

N

9,10

Intel 32 bit SLES 9

Y

Y

Y

Y

Y

Y

1,2,3,4,7

Intel 32 bit SLES 8 SP3

Y

Y

Y

Y

Y

NA

4,6,7

Intel 32 bit Windows 2003 R1 (with SP1 or higher)

Y

Y

Y

Y

Y

Y

7

Intel 32 bit Windows 2000 with SP3 or higher

Y

Y

Y

Y

Y

Y

7

Intel 32 bit Windows XP with SP2 or higher

NA

NA

NA

NA

NA

NA

 

Intel EM64T 64 bit Oracle Enterprise Linux 4.0 UL4 / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

Intel EM64T 64 bit Red Hat Linux EL 3.0 UL3 (32 or 64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

Intel EM64T 64 bit Red Hat Linux EL 4.0 UL1 (32 or 64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

Intel EM64T 64 bit SLES 9 (32 or 64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

Intel EM64T 64 bit Solaris 10

N

Y

Y

N

Y

N

9,10

Intel EM64T 64 bit Windows 2003 R1 (64 bit OS)

Y

Y

Y

Y

Y

Y

 

Intel EM64T 64 bit Windows 2003 R1 (32 bit OS)

Y

Y

Y

Y

Y

Y

 

Intel EM64T 64 bit Windows 2000 with SP3 or higher (32 bit OS)

Y

Y

Y

Y

Y

Y

 

AMD Opteron 64 bit Solaris 10

N

Y

Y

N

Y

N

9,10

AMD Opteron 64 bit Oracle Enterprise Linux 4.0 UL4 (64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

AMD Opteron 64 bit Red Hat Linux EL 3.0 UL3 (32 or 64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

AMD Opteron 64 bit Red Hat Linux EL 4.0 UL1 (32 or 64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

AMD Opteron 64 bit SLES 9 (32 or 64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,4,5,6,7

AMD Opteron 64 bit Windows 2003 R1 (64 bit OS)

Y

Y

Y

Y

Y

NA

 

AMD Opteron 64 bit Windows 2003 R1 (32 bit OS)

Y

Y

Y

Y

Y

Y

 

AMD Opteron 64 bit Windows 2000 with SP3 or higher (32 bit OS)

Y

Y

Y

Y

Y

Y

 

Itanium-2 64 bit hp-ux 11i (11.23) hp

Y

Y

Y

Y

Y

Y

1,2,3,4,5,7

Itanium-2 64 bit Red Hat EL 3.0

Y

Y

Y

Y

Y

Y

9,10

Itanium-2 64 bit Red Hat EL 4.0

Y

Y

Y

Y

Y

Y

9,10

Itanium-2 64 bit SLES 9

Y

Y

Y

Y

Y

Y

9,10

Itanium-2 64 bit Windows 2003 with SP1 or higher

Y

Y

Y

Y

Y

Y

 

IBM zSeries 64 bit with Red Hat EL 4.0 Update 2

N

Y

Y

N

Y

Y

5,9

IBM zSeries 64 bit with SLES 9 SP2

N

Y

Y

N

Y

Y

5,9

Alpha 64 bit with HP TRU64 Unix 5.1B Patchkit 5

Y

Y

Y

Y

Y

Y

9,10,11,12

Table 5 Additional Information for Oracle Application Server Certified Oracle Databases

Number Category Description

1

Customer Database

If using 10.2.0.1 database as a customer database, please see bug 4551356.

2

Metadata Repository

If using 10.2.0.1 database as a metadata repository database, please see bugs 4545305, 4543413, 4544465, 5041641, 4664346, 4687475, and 4563434.

3

Metadata Repository

If using 10.2.0.2 database as a metadata repository database, please see bugs 4545305, 4924758, 4544465, 5041641, 4687475, and 4563434.

4

Metadata Repository

If using 10.1.2.0.1 or 10.2.0.2 database as a metadata repository database and Portal 10.1.4, please see bugs 4933310 and 4924758.

5

Metadata Repository

In the 10.1 product line, certification is for 10.1.0.5 or higher.

6

Metadata Repository

Please run linux32 bash before installing Metadata Repository Creation Assistant 10 g (10.1.2.0.3).

7

Customer Database

When using Oracle Business \ Discoverer to perform relational analysis on data in an Oracle Database 10 g Release 2 database, you must do one of the following:

  • Apply the 10.2.0.2 patch set to the database installation

  • If you are unable to install the 10.2.0.2 patch set, request and apply database patch number 4551356 to the database installation

8

Metadata Repository

In the 10.1 product line, certification is for 10.1.0.4.2 or higher, or 10.1.0.5 or higher.

9

Customer Database

In the 10.1 product line, certification is for 10.1.0.5 or higher.

10

Customer Database

In the 10.2 product line, certification is for 10.2.0.2 or higher.

11

Metadata Repository

In the 10.2 product line, certification is for 10.2.0.2 or higher.

12

Metadata Repository

In the 10.1 product line, certification is for 10.1.0.5 or higher.

Certified Browsers and Thick Clients

Table 6 Oracle Application Server Certified Browsers and Thick Clients

Note: Oracle Application Server supports only those browsers that are supported by vendors.

Operating System Thick Client Supported Browsers Client JINIT    

Microsoft Windows

Windows 2000 with SP3 or higher

Windows XP Professional with SP 2 or higher

Windows 2003 (32 bit) R1 (with SP1 or higher)

Netscape 7.1 (Japanese only)

Netscape 7.2

Microsoft Internet Explorer 6.0, 7.0 Foot 3, , 8.0 Foot 3, Foot 5 

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Firefox 1.0.4 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.)

Firefox 3.5+ Foot 5 

INIT 1.3.1.(18+) Foot 1 

   

Vista Foot 4 

Microsoft Internet Explorer  7.0 Foot 3 , 8.0 Foot 3, Foot 5 

NA

   
Firefox 2.0, 3.5+ Foot 5  NA    
Windows 7 Foot 4 Windows 2008 R2 64 bit Foot 4  Microsoft Internet Explorer 8.0 Foot 3, Foot 5
Firefox 3.5+ Foot 5
NA    

Apple Macintosh Foot 2 

Mac OSv. 10.3

Safari 1.2

NA

   

Linux

Oracle Enterprise Linux 4.0, 5.0

Red Hat Linux AS 3.0,4.0,5.0

SUSE 9,10

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Firefox 1.0.4 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.)

Firefox 3.5+ Foot 5 

NA

   

Footnote 1 A plus sign (+) after the fourth digit in the version number indicates that this and all higher versions of the JRE/JINIT/JDK extensions are certified. For example, 1.4.2_(06+) means that 1.4.2_06, 1.4.1_07, and any later 1.4.2_xx versions are certified.

Footnote 2 Certified for Oracle JDeveloper, Oracle Application Server Portal, and Oracle Business Intelligence Discoverer only

Footnote 3 For additional information on using OracleAS Single Sign-On with Windows Native Authentication from Internet Explorer 7.0 and Internet Explorer 8.0, see Metalink note 418234.1

Footnote 4 Please review the 10.1.2.3 patch set release notes and release notes addendum (Metalink note 555681.1) for information on configuring Oracle Forms with IE7.0 on Windows Vista, Windows 2008, Windows 7, and Windows 2008R2.

Footnote 5 Need minimum 10.1.2.3 patch level for IE 8.0 and Firefox3.5. Oracle Application Interconnect (OAI), Oracle Application Server Personalization, Oracle Application Server Wireless, and Oracle BusinessActivity Monitoring are not supported for this browser.

For Oracle Internet Developer Suite 10gR2 (10.1.2.x) certification information, please see the Doc ID 1050790.1 on My Oracle Support.



2 Additional Component Certification Details

The following sections list additional certification details for certain Oracle Application Server components:


2.1 Oracle Business Intelligence Discoverer

Table 7 and Table 8 show the certified operating systems, browsers, and Java runtime engines (JREs) for the Oracle Business Intelligence Discoverer client tier components. For Table 7, certified operating systems, browsers, and JREs can be used in any combination within the same row.

Table 7 Oracle Business Intelligence Client Tier Certification

Operating System and Thick Client Browser JRE Foot 1  Additional Information (See Table 8)

Windows 2000 with SP3 or higher

Windows 2003 (32 bit) R1 (with SP1 or higher)

Windows XP Professional with SP 2 or higher

Netscape Navigator 7.1 (Japanese only)

Netscape Navigator 7.2

Microsoft Internet Explorer 6.0, 7.0, 8.0

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Firefox 1.0.4 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.)

Firefox 3.5+ 

Oracle JInitiator 1.3.1.(18+)

Java Plug-in 1.4.2_(06+)

Java Plug-in 1.5.0_(02+)

Java Plug-in 1.6.0_(04+)

1,2

Windows Vista

Windows 2008

Microsoft Internet Explorer 7.0, 8.0

Firefox 3.5+

Java Plug-in 1.4.2_(14+)

Java Plug-in 1.5.0_(02+)

Java Plug-in 1.6.0_(04+)

1,2

Windows 7

Windows 2008 R2
Microsoft Internet Explorer 8.0

Firefox 3.5+
Java Plug-in 1.6.0_(16+) 1

Apple Macintosh v. 10.3

Safari 1.2

Apple JVM 1.4.2_(05+)

1

Oracle Enterprise Linux 4.0 (UL4 or higher)

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Firefox 1.0.4 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

Java Plug-in 1.4.2_(06+)

Java Plug-in 1.5.0_(02+)

Java Plug-in 1.6.0_(04+)

1

Red Hat Linux 3.0 Advance Server

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Firefox 1.0.4 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

Java Plug-in 1.4.2_(06+)

Java Plug-in 1.5.0_(02+)

Java Plug-in 1.6.0_(04+)

1

Footnote 1 A plus sign (+) after the fourth digit in the version number indicates that this and all higher versions of the JRE/JINIT/JDK extensions are certified. For example, 1.4.2_(06+) means that 1.4.2_06, 1.4.1_07, and any later 1.4.2_xx versions are certified.

Table 8 Additional Information for Oracle Business Intelligence Discoverer

Number Description

1

Discoverer Plus Relational and Discoverer Plus OLAP require a JRE on the client machine. Discoverer Viewer and Discoverer Portlets do not require a JRE.

2

Known issues for Microsoft Internet Explorer 7.0 certification are documented in bug 5721666.


2.2 Oracle Forms Applications on Client Platforms

Table 9 and Table 10 contain the certification information for Oracle Forms applications on client platforms.

The certification levels are defined as follows:

Level 1 Certification

Certified with Oracle E-Business Suite: The JVM has been tested in depth with Oracle Applications e-Business Suite. All Oracle Forms applications, either Oracle Applications or custom applications, deployed using the JVM are also deployable, unchanged, to wherever the JVM is ported

Level 2 Certification

Certified with Custom Applications: The JVM has been tested with custom applications. Oracle Forms applications can be deployed without significant changes to all platforms where the JVM is ported. In the case of platform limitations, some customers may need to          slightly re-architect their applications to work around bugs related to the JVM. But the implementation is robust enough to support Web deployment of Oracle Forms applications.

Level 3 Certification

Certified with Oracle Forms Functional Tests: The JVM has been tested with a suite of tests used to certify Oracle Forms. This is a comprehensive test suite that will prove the basic functionality and features, but does not test to the extent of a fully functional application.

Note: Certification on browsers include only 32 bit Browsers and 32bit Java Plugins (JPI/JRE). The use of 64bit browsers and/or 64bit JREs are not supported.

Table 9 Oracle Forms Applications on Client Platforms Certified Configurations

Browser Client Platform Certification Level Forms Patch Set Additional Information (see Table 10)    

Safari 1.2 (Sun Plug-in 1.4.2)

Mac OS X (JDK 1.4)

2

Production release

4,6

   

Microsoft Internet Explorer 6.0

Oracle JInitiator 1.3.1.28 (Win32, based on JDK 1.3.x)

2

10.1.2.2

1,5

   

Oracle JInitiator 1.3.1.25 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Oracle JInitiator 1.3.1.22 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Java Sun Plug-in 1.5

3

Production release

5

   

Java Sun Plug-in 1.4.2_06

2

Production release

5

   

Microsoft Internet Explorer 7.0

Oracle JInitiator 1.3.1.28 (Win32, based on JDK 1.3.x)

2

10.1.2.2

5

   

Java Sun Plug-in 1.5.0_06

2

10.1.2.2

5

   
Sun JRE 1.6.0_04 2 10.1.2.3 5    
Microsoft Internet Explorer 8.0 Sun JRE 1.6.0_16 2 10.1.2.3 5    

Mozilla 1.5 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Oracle Enterprise Linux 4.0 (UL4 or higer) (Sun Plug-in 1.4)

2

Production release

     

Linux Red Hat AS 3.0 (Sun Plug-in 1.4)

2

Production release

     

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Oracle JInitiator 1.3.1.28 (Win32, based on JDK 1.3.x)

2

10.1.2.2

1,5

   

Oracle JInitiator 1.3.1.25 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Java Sun Plug-in 1.4.2_08

2

Production release

5

   

Java Sun Plug-in 1.5

2

Production release

5

   

Netscape Navigator 7.0x

Oracle JInitiator 1.3.1.22 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Java Sun Plug-in 1.4.2

2

Production release

5

   

Netscape Navigator 7.2

Oracle JInitiator 1.3.1.25 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Java Sun Plug-in 1.4.2_08

2

Production release

5

   

Java Sun Plug-in 1.5

2

Production release

5

   

Netscape Navigator 4.7.x

Sun Java Plug-in 1.4.2_06, Solaris 8/Solaris 9

3

Production release

3

   

Firefox 1.0 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

Oracle JInitiator 1.3.1.22 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Firefox 1.0.7 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

Oracle JInitiator 1.3.1.26 (Win32, based on JDK 1.3.x)

2

10.1.2.2

1,5

   

Oracle JInitiator 1.3.1.25 (Win32, based on JDK 1.3.x)

2

Production release

1,5

   

Java Sun Plug-in 1.4.2_08

2

Production release

5

   

Java Sun Plug-in 1.5

2

Production release

5

   

Firefox 2.0

Oracle JInitiator 1.3.1.28 (Win32, based on JDK 1.3.x)

2

10.1.2.2

1,5

   

Java Sun Plug-in 1.4.2_06

2

Production release

5

   

Java Sun Plug-in 1.5

2

10.1.2.2

5

   
Sun JRE 1.6.0_04 2 10.1.2.3 5    
Firefox 3.5+ Sun JRE 1.6.0_16 2 10.1.2.3 5    

Table 10 Additional Information for Oracle Forms Applications

Number Description

1

Win32 refers to Windows 2000 and Windows XP. Certification on Windows 2003 is for JInitiator 1.3.1.25 only.

2

See Oracle MetaLink Note 260332.1 for more information on Oracle JInitiator 1.3.1.22.

3

Certified for running from Forms Builder using One Button Run and Debugger.

4

Known issues for this certification are documented in bugs 4184632, 4184550, and 4184628.

5

Running on Windows.

6

Webutil currently not certified on Mac clients.

2.3 Oracle COREid Access and Identity

Table 11 and Table 12 contain the certification information for Oracle COREid Access and Identity.

Table 11 Oracle COREid Access and Identity Certification

  Certification Details Additional Information (see Table 12)

COREid Servers

COREid Identity Server

1,2,3,4,18

COREid Access Server

1,2,3,4,18

COREid SNMP agent

1,2,3,4,18

Oracle and Third Party Integrations

OracleAS 10 g R2 (10.1.2.0.0) Single Sign-On

1,2,3

IBM WebSphere Application Server v5.0.(0,1,2) EE

1,2,4,11

IBM WebSphere Application Server v5.1 EE

2,4,11

IBM WebSphere Application Server 6.0

1,2,4,5,6,7,8,10,11,12,23

IBM WebSphere Application Server 6.1

1,2,4,5,6,7,8,10,11,12,23

IBM WebSphere Portal 5.0.2.2 with CMR

1,2,4,11

BEA WebLogic Application Server 7.0

1,2,3,4

BEA WebLogic Application Server 8.1 SP2 (via SSPI)

2,3

BEA WebLogic Application Server 8.1 SP3 (via SSPI)

2,3,22

BEA WebLogic Portal Server 8.1 SP3 (via SSPI)

2,3,4,22

BEA WebLogic Application Server 9.2 (via SSPI)

18,26

Plumtree Portal 5.0.4

1,2,3,4,6,11

Siebel 7.5.2, 7.5.3

1,2,3,4,6,7,8,10,11

mySAP e-Business R3 v4.6D ITS v6.10, 6.20

1,2,3,4,6,7,8,10

SAP Portal v5.0 SP2

1,2,3,4,6,7,8,10

SAP Portal v6.0

1,2,3,4,5,6,7,8,10,11,12

Microsoft MIIS

1,2,3,4,5,6,7,8,11

Customer Directory Services

Oracle Internet Directory 10 g Release 2 (10.1.2.0.0)

1,2,4

Sun Java System Directory Server 5.2

1,2,4

Siemen DirX v2.0B

1,2,4

Novel eDirectory 8.7.3

1,2,4

IBM Directory Server 5.1

1,2,4

IBM Tivoli Directory Server 6.0

13

Microsoft AD 2000

1,2,4

Microsoft AD 2003

1,2,4

Microsoft ADAM 1.0

1,2,4

OctetString Data Anywhere v3.0 (VDE)

1,2,4

Web Servers for Web Gate

Oracle HTTP Server 10 g Release 2 (10.1.2.0.0)

1,2,3,6,8,9,10,11

Sun One 6.0

1,2,3,4,10,11

Sun Java System 6.1 SP2

1,2,3,10,11

Sun Java System 6.1 SP5

17

Domino R6.5.3

1,2,4,11

Domino R7

1,2,4,5,6,7,8,9,11,21,23

Apache 2.0.52

1,2,3,20

Apache 2.0.52 as reverse proxy server

1,2,3,20

Apache 2.0.58

25

Apache 2.0.58 as reverse proxy server

25

Apache 2.2

19,20,25

Apache 2.2 as reverse proxy server

19,20,25

Apache 1.3.33

2,6,7,8

Apache 1.3.33 as reverse proxy server

1,2,6,7,8

Apache 2.0.59

24

IHS 1.3.26

1,2,4,6,8

IHS 2.0.47

1,2,4,9,10

IHS 2.0.47 as reverse proxy server

1,2,3,4,6,8,9,10

IIS6

1,2,3,4,5,6,7,8,9,11

MS ISA 2000 SP1

1,2,3,4,5,6,7,8,9,11

Web Servers for WebPass and Access Manager

Sun Java System 6.1 SP2

1,2,3,10,11,12,17

Apache 2.0.52

1,2,3,4,9,10

Apache 1.3.31

1,2,3,4,9,10,11

IIS5

1,2,3,4,5,6,7,8,10,11

IIS6

1,2,3,4,5,6,7,8,9,11

IHS 1.3.26

1,2,4,5,6,7,8,9,10,11

Access SDKs

Any standard C compiler

1,2

hp ANSI C compiler

1,2,3,5,6,7,8,9,10,11

hp ANSI C++ compiler

1,2,3,5,6,7,8,9,10,11

Any standard Java 1.4 compiler

1,2

CGG 3.3.2 C++ compiler

1,2,3,4,5,6,7,8,9,10

AIX C v6 C++ compiler

1,2,4,5,6,7,8,9,10,11

.NET support - VS .NET 2003 7.0

1,2,3,4,5,6,7,8,11

Browsers for Administrators and End Users

Netscape 6.2.2

Running on Windows 2000, Windows XP, and Solaris

Microsoft Internet Explorer 5.5, 6.0

Running on Windows 2000 and Windows 98

Firefox 1.0 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

Running on Windows 2000 and Windows XP

Browsers for End Users

Safari 1.2

Running on Mac OS 10.x

Netscape 4.08

Running on Mac OS (9.2, 10.x)

Netscape 4.7x

Running on Mac OS, Linux, Windows 2000, and Solaris

Netscape 6.1

Running on Windows 2000, Windows XP, Mac OS, and Linux

Netscape 6.2

Running on Mac OS and Linux

Audit Databases

MySQL 4.1.7

14

MySQL 4.0.2

15

MS SQL 2000

16

Oracle Database 10 g Release 2 (10.1.0.2)

16

Table 12 Additional Information for Oracle COREid Access and Identity

Number Description

1

Not certified on Red Hat Linux ES 3.0 or Oracle Enterprise Linux 4.0.

2

Not certified on SLES 9.

3

Not certified on IBM AIX.

4

Not certified on hp-ux.

5

Not certified on Sun SPARC 64 bit Solaris 8.

6

Not certified on Sun SPARC 64 bit Solaris 9.

7

Not certified on Sun SPARC 32 bit Solaris 8.

8

Not certified on Sun SPARC 32 bit Solaris 9.

9

Not certified on Windows 2000 SP4.

10

Not certified on Windows 2003 EE.

11

Not certified on Red Hat Linux AS 3.0 or Oracle Enterprise Linux 4.0.

12

On hp-ux, Sun Java System 6.1 SP2 (WebPass only) is certified.

13

Certified for IBM TDS running on Solaris only.

14

Certified for Linux platforms only.

15

Certified for Solaris platforms only.

16

Certified for Windows platforms only.

17

Certified for the 32-bit version of Sun Java System Web Server on Solaris 10.

18

Certified for Solaris 10. Please review the 7.0.4.3 release notes for important information about running on Solaris 10.

19

Certified for the 32-bit version of the Apache Server on Solaris 8.

20

Certified for the 32-bit version of the Apache Server on Solaris 10.

21

Certified on IBM AIX 5.3.

22

Certified on Solaris 8 (SPARC), HP-UX 11.11 (PA-RISC), Windows 2000 SP4, Windows 2003 EE SP1, and Red Hat Linux AS 3.0 (32-bit).

23

Certified on SLES 9.0.

24

Certified on Red Hat Linux ES 4.0 and Oracle Enterprise Linux 4.0.

25 Certified on HP-UX 11.2.3 Itanium (32-bit)
26 Certifiied on Windows 2003 EE R2

2.4 Oracle COREid Federation

Table 13 contains the additional certification information for Oracle COREid Federation.

Table 13 Oracle COREid Federation Additional Certification Information

Oracle and Third Party Integrations Customer Directory Service Providers Application Servers Certified Client Browsers Foot 1  JDK

RDBMS Bridge Oracle Database 10 g Release 2 (10.1.0.2)

CA Siteminder Policy Server 5.5 Foot 2 

MS SQL Server 2000

Oracle Internet Directory 10 g Release 2 (10.1.2.0.0)

Sun Java System Directory Server 5.2

Siemen DirX v2.0B

Novel eDirectory 8.7.3

IBM Directory Server 5.1

Microsoft AD 2000

Microsoft AD 2003

Microsoft ADAM 1.0

OctetString Data Anywhere v3.0 (VDE)

Tomcat 4.1

Microsoft Internet Explorer 6.0, 7.0

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

Sun JDK 1.4.2

Footnote 1 Running on Windows 2000 and Windows XP

Footnote 2 Not certified on Red Hat Linux ES 3.0

2.5 Oracle Web Services Manager

Table 14 and Table 15 contain the additional certification details for Oracle Web Services Manager versions 4.0.2 and 4.0.3.


Table 14 Oracle Web Services Manager Certification

  Certification Details OWSM 4.0.2 OWSM 4.0.3 Additional Information (see Table 15)

Database Support

Oracle Database 10 g Release 1 (10.1.0.2) or higher

Yes

Yes

1

Oracle Olite 10 g Release 2 (bundled)

No

Yes

1,5,6,7

Microsoft SQL Server 2000

Yes

Yes

 

Application Server for Policy/Manager/Monitor/Gateway

Oracle OC4J 10 g (10.1.2.0.x)

No

Yes

 

IBM WebSphere 5.1

Yes

Yes

2,5,6

BEA WebLogic 8.1.3

Yes

Yes

5

Tomcat 5.0.27

Yes

Yes

4

Application Server for Agent

Oracle OC4J 10 g (10.1.2.0.x)

No

Yes

3

IBM WebSphere 5.1

Yes

Yes

2,3,5,6

BEA WebLogic 8.1.3

Yes

Yes

3,5

Tomcat 5.0.27

Yes

Yes

3,4

Tibco Business Works 5.1.3, 5.2

Yes

Yes

3,5,6

.NET 1.1 on IIS (5,6)

Yes

Yes

3,5,6,7

Directory Server Integrations

Oracle COREid Access and Identity (7.0.4)

Yes

Yes

 

CA Siteminder Policy Server 5.5

Yes

Yes

 

LDAP v3

Yes

Yes

 

JMS Integrations

IBM WebSphere MQ v5.3

Yes

Yes

2

Tibco JMS 3.1.2

Yes

Yes

 

Browsers

IE 5.5 or higher running on Windows 2000, XP

Yes

Yes

 

Firefox 1.0 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.)  running on Windows 2000, XP, Linux

No

Yes

 

Table 15 Additional Information for Oracle Web Services Manager

Number Description

1

For Oracle databases, the thin JDBC drivers are supported.

2

IBM WebSphere servers include IBM JDK, but Oracle requires Sun JDK 1.4.2 for product installation.

3

Client agents are supported under Tomcat, Tibco, and .NET environments. Server agents are supported on all listed environments.

4

Tomcat servers do not include a JDK, but require Sun JDK or JRE 1.4.2.

5

Not certified on Sun SPARC Solaris 8.

6

Not certified on Sun SPARC Solaris 9.

7

Not certified on Red Hat Linux Advance Server 3.0 or Oracle Enterprise Linux 4.0.


2.6 Oracle Virtual Directory Server

Table 16 contains the additional certification details for Oracle Virtual Directory Server.


Table 16 Oracle Virtual Directory Server Certification Details

Customer Directory Services Oracle and Third Party Integrations

Oracle Internet Directory 10 g Release 2 (10.1.2.0.0)

Sun Java System Directory Server 5.2

Siemen DirX v2.0B

Novel eDirectory 8.7.3

IBM Directory Server 5.1

Microsoft AD 2000

Microsoft AD 2003

Microsoft ADAM 1.0

Oracle Database 10 g Release 2 (10.1.0.2)

Microsoft SQL Server 2000

2.7 Oracle Portlet Factory

Table 17 and Table 18 contain the additional certification information for Oracle Portlet Factory.


Table 17 Oracle Portlet Factory Certification Information

  Certification Details Additional Information (see Table 18)

Eclipse

3.0.x, 2.1.x

1

JDK

Java 2 SDK, Standard Edition, Version 1.3.1, 1.4.1, 1.4.2

 

JPDK

10.1.2.0.2

 

Third Party Back-end Systems

SAP R3 v 3.1h or later

PeopleSoft 8.x Systems

Oracle9 i Release 2

2

Browsers

Netscape 4.7, 6.2, 7.0

Microsoft Internet Explorer 4.03, 5.0, 5.5, 6.0, 7.0

Mozilla Firefox 1.0 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

3

Oracle Application Server

9.0.4, 10.1.2.0.0, 10.1.2.0.2

4

Table 18 Additional Information for Oracle Portlet Factory

Number Description

1

Eclipse requires SDK versions only. Eclipse 3.0 requires JRE 1.4.x.

2

Oracle databases require classes12.zip, which is available for download from OTN.

3

These browsers are for testing on Windows XP on Intel (32 bit).

4

Requires Portal 10.1.4 for JSR168 Portlets.

Certified on Sun SPARC SUNW Ultra-4 (64 bit) Solaris 8 and Windows 2000 with SP4 on Intel (32 bit).

2.8 Oracle Identity Manager (formerly Oracle Xellerate Identity Provisioning)

The latest certification information for Oracle Identity Manager can be found in the Oracle Identity Management Certification document on OTN at:

http://www.oracle.com/technology/software/products/ias/files/idm_certification_101401.html

2.9 Oracle Application Server TopLink

Table 19 and Table 20 contain the additional certification information for Oracle Application Server TopLink. In addition to these certified configurations, OracleAS TopLink's runtime will function on any platform where you have a certified Java container (including non-Oracle containers) and JDBC driver.


Table 19 Oracle Application Server TopLink Certification Information

Platform Certified JDK Versions Foot 1  Oracle Customer Database/Oracle JDBC Driver Additional Information (see Table 20)

Solaris 8, Solaris 9 on SPARC (32 bit)

Sun 1.3.1_(08+), 1.4.1_(03+)

   

Solaris 8, Solaris 10 on SPARC (64 bit)

Sun 1.4.1_(03+)

9.2.0.2 (64 bit) (thin)

10.1.0.2 (64 bit) (thin/oci)

10.2.0.1 (64 bit) (thin)

1

hp-ux 11i (11.11, 11.23)

hp JDK 1.4.2.(05+)

hp JDK 1.4.2.(07+)

9.2.0.2 (64 bit) (thin)

10.1.0.2 (64 bit) (thin/oci)

10.2.0.1 (64 bit) (thin)

3

IBM AIX 5L 5.2, 5.3, and 6.1

IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10gR2 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/software/support/systemsp/lifecycle/index.html

IBM SDK 1.4.2 SR(1+)

9.2.0.2 (64 bit) (thin)

10.1.0.2 (64 bit) (thin/oci)

10.2.0.1 (64 bit) (thin)

 

Linux platforms on Intel (32 bit), AMD64, and EM64T / Oracle VM

Sun 1.4.2_(06+)

9.2.0.2 (64 bit) (thin)

10.1.0.2 (64 bit) (thin/oci)

10.2.0.1 (64 bit) (thin)

 

Windows 2003 with SP1 or higher on Itanium-2

BEA JRockit 1.4.2_(05+)

9.2.0.2 (64 bit) (thin)

10.1.0.2 (64 bit) (thin/oci)

10.2.0.1 (64 bit) (thin)

 

Windows 2003 (R1) and 2000 on AMD64 and EM64T

Sun 1.4.2_(06+)

   

Windows XP on Intel (32 bit), AMD64, and EM64T

Sun 1.3.1_(08+), 1.4.1_(03+), 1.4.1_(01+)

   

Windows 2003 (R1) on Intel (32 bit)

Sun 1.4.2_(03+)

   

Windows 2000 on Intel (32 bit)

Sun 1.4.1_(02+), 1.4.2_(03+)

9.2.0.2 (64 bit) (thin)

2

Footnote 1 A plus sign (+) after the fourth digit in the version number indicates that this and all higher versions of the JRE/JINIT/JDK extensions are certified. For example, 1.4.2_(06+) means that 1.4.2_06, 1.4.1_07, and any later 1.4.2_xx versions are certified.

Table 20 Additional Information for Oracle Application Server TopLink

Number Description

1

Customer Database/ JDBC driver not supported on Solaris 10.

2

These non-Oracle databases are also certified: Microsoft SQL Server 7 (MS Driver/DataDirect 3.2), Microsoft SQL Server 2000 (MS Driver), IBM DB2 UDB 7.2 (app), IBM DB2 UDB 8.1 (app/net/DataDirect 3.2).

3

hp JDK 1.4.2.05 is certified for hp-ux 11i (11.11, 11.23) on PA-RISC only. hp JDK 1.4.2.07 is certified for hp-ux 11i (11.23) on Itanium-2 only.

2.10 Oracle Application Server Wireless

Oracle Application Server Wireless supports mobile browser access from a variety of devices. The devices listed in Table 21 have been physically certified and configured with OracleAS 10g Release 2 (10.1.2.0.2). Many devices with similar browser software, screen dimensions, and user-agent strings may also be compatible with OracleAS 10g (10.1.2.0.2), although they have not been explicitly tested by Oracle.

 

Note:

Oracle Application Server Wireless does not support Microsoft Internet Explorer 8.0 and Firefox 3.5+.

Table 21 Supported Wireless Devices

Brand Models

Compaq

iPAQ-H3800

Dell

Axim

Ericsson

T68-R101

Handspring

Treo 600, Treo 180, Treo 300

hp

2220

Intermec

700-BW, 700C

Kyocera

7135

LG

5350

Motorola

i88s, T720, T900, Timeport P7382i, V505

Nokia

3590, 3650, 6230, 6260, 6310i, 6590i, 6600, 6630, 6800, 6820, 7200, 7250, 7600, 7610, 7650, 9290, 9300, nGage

Palm

i705, Tungsten-W-WAPPER

Panasonic

GD87

RIM

BlackBerry-6210, BlackBerry-7230, BlackBerry-957

Samsung

N400, SGH-S105, SPH-A500, SPH-i330, SPH-i700

Sanyo

PM-8200(S), SCP4900, SCP5300

Sharp

GX10i

Siemens

S55, S65, SL55, SL65, SX56

SonyEricsson Mobile Communications

K500i, P910i, S700i

SonyEricsson

K700i, P800-R101, P900-R101, T310-R201, T610-R101, T616-R101, T618-R101, T68i-R301, T68i-R501

Symbol

PDT8046, PDT8146

T-Mobile

Sidekick

Toshiba

e570, e750

For more information on the device update process and associated tools, see:

                                 

http://www.oracle.com/technology/products/iaswe/archive/devices/index.html

2.11 Oracle Business Activity Monitoring

Oracle Business Activity Monitoring supports only Microsoft Internet Explorer 6.0 as a client browser.

2.12 Oracle BPEL Process Manager

Please refer to bug number 5360550 if you are using Oracle BPEL Process Manager with Microsoft Internet Explorer 7.0.

2.13 Oracle Application Server Certification with Oracle JDBC Drivers

Support for Oracle JDBC drivers includes two cases:


General Certification in Oracle Application Server Environments

Certification on Standalone and Specific OC4J Instances in Oracle Application Server Environments (on a per-OC4J-instance basis; OC4J instances running in Oracle Application Server environments are managed by OPMN, while standalone OC4J instances are not).

General Certification in Oracle Application Server Environments

Oracle Application Server 10 g Release 2 (10.1.2.x.x) in general is only certified to work with the versions of the Oracle JDBC drivers that are shipped with the product.

Table 22 lists the supported Oracle JDBC drivers and connecting databases in Oracle Application Server environments. Any certified Oracle JDBC release can work with a newer Oracle Database release, but cannot take advantage of its new database features. For certified Oracle Database platforms, see Table 4.

Table 22 Certification Details for Oracle JDBC Drivers in Oracle Application Server Environments

Certified Oracle JDBC Releases Compatible Oracle Customer Databases

10.1.0.5.0

9.2.0.8.0 or higher, 10.1.0.4 or higher, 10.2.0.1.0 or higher, 11.1.0.6 or higher

Certification on Standalone and Specific OC4J Instances in Oracle Application Server Environments

More recent Oracle JDBC drivers are certified for standalone OC4J or specific OC4J instances in Oracle Application Server environments, ahead of the entire Oracle Application Server platform.

Table 23 lists the supported Oracle JDBC drivers and connecting databases for standalone and specific OC4J instances.


Table 23 Certification Details for Oracle JDBC Drivers for Standalone and Specific OC4J Instances in Oracle Application Server Environments

Certified Oracle JDBC Releases Compatible Oracle Customer Databases

10.1.0.5.0, 10.2.0.1.0 (THIN only)

9.2.0.8.0 or higher, 10.1.0.4 or higher, 10.2.0.1.0 or higher, 11.1.0.6 or higher

Additional information:

  • Certifications for OC4J 10.1.2.x.x follow the shared-library approach for upgrading Oracle JDBC THIN driver on standalone OC4J or specific OC4J instances running in Oracle Application Server environments, as documented in Oracle MetaLink Note #309606.1 (How to upgrade JDBC drivers on OracleAS 9.0.4 or 10.1.2).

  • Certifications are done using only the latest OC4J and Oracle JDBC patch releases. Customers are expected to adopt the same patch releases to gain certification.

  • Certifications do not include exposure of any new feature in later Oracle JDBC releases, but only require that newer Oracle JDBC drivers be used in a backward-compatible fashion.

  • For non-default Oracle JDBC drivers, those certified releases in the above matrix do not include DMS metrics. Only Oracle JDBC jar files without the "dms" name suffix were certified (for OC4J 10.1.2.x.x this refers to ojdbc14.jar).

2.14 Oracle Application Server Certification with DataDirect JDBC

For the most current details about supported DataDirect JDBC drivers and connecting databases, please refer to the following website:

                                 

http://www.oracle.com/technology/tech/java/oc4j/htdocs/datadirect-jdbc-certification.html

2.15 Oracle Application Server Plug-Ins

Table 24 contains information about platform and listener certification for the Oracle Application Server Proxy Plug-In, OSSO Plug-In, and OC4J Plug-In.


Table 24 Certification Details for Oracle Application Server Plug-Ins
Platform Listener Certification Additional Information

All UNIX platforms on which Oracle Application Server is certified

SunOne 6.1

Apache 1.3.17 or later

Apache 2.0.x

Proxy Plug-In and OSSO Plug-In are not certified with Apache listeners.

Windows 2000 and XP

Microsoft IIS 5.0

SunOne 6.1

Apache 1.3.17 or later

Apache 2.0.x

Proxy Plug-In and OSSO Plug-In are not certified with Apache listeners.

Windows 2003

Microsoft IIS 6.0

SunOne 6.1

Apache 1.3.17 or later

Apache 2.0.x

Proxy Plug-In and OSSO Plug-In are not certified with Apache listeners.

 


Please refer to MetaLink note number 1292919.1 on  My Oracle Support for additional information on installing Oracle Developer suite 10g (10.1.2) on Windows 7 32 bit.

3 Upgrade Compatibility Details

Table 25, Table 26, Table 27, and Table 28 detail the comptibility of 10.1.2.x product tiers with previous Oracle Application Server versions.


Note:

Detailed upgrade and compatibility information, including workarounds for setting up specific compatibility scenarios, is documented in the Oracle Application Server Upgrade and Compatibility Guide for each platform, available on OTN at:

http://www.oracle.com/technology/documentation/appserver1012.html

Table 25 10.1.2 Metadata Repository Compatibility with Identity Management Tier Versions

  9.0.2 Identity Management 9.0.4 Identity Management 10.1.2 Identity Management

10.1.2 Metadata Repository

Supported when the Metadata Repository is stored in a pre-10 g database (database version cannot be 10.1 or later)

Supported

Supported

Table 26 10.1.2 Identity Management Tier Compatibility with Metadata Repository Versions

  9.0.2 Metadata Repository 9.0.4 Metadata Repository 10.1.2 Metadata Repository

10.1.2 Identity Management

Supported for Identity Management upgrade only

Supported for Identity Management upgrade only

Supported

Table 27 10.1.2 Middle Tier Compatibility with Metadata Repository Versions

  9.0.2 Metadata Repository 9.0.4 Metadata Repository 10.1.2 Metadata Repository

10.1.2 Middle tier

Supported

Portal requires you to run OracleAS Upgrade Assistant unless it is the first Portal instance installed against the 9.0.2 Metadata Repository

Wireless requires additional manual steps

Supported

Portal requires you to run OracleAS Upgrade Assistant unless it is the first Portal instance installed against the 9.0.4 Metadata Repository

Supported

Table 28 10.1.2 Middle Tier Compatibility with Identity Management Tier Versions

  9.0.2 Identity Management 9.0.4 Identity Management 10.1.2 Identity Management

10.1.2 Middle tier

Supported after running imconfig

Supported

Supported

4 Documentation Accessibility

Our goal is to make Oracle products, services, and supporting documentation accessible, with good usability, to the disabled community. To that end, our documentation includes features that make information available to users of assistive technology. This documentation is available in HTML format, and contains markup to facilitate access by the disabled community. Accessibility standards will continue to evolve over time, and Oracle is actively engaged with other market-leading technology vendors to address technical obstacles so that our documentation can be accessible to all of our customers. For more information, visit the Oracle Accessibility Program Web site at http://www.oracle.com/accessibility/.

Accessibility of Code Examples in Documentation

Screen readers may not always correctly read the code examples in this document. The conventions for writing code require that closing braces should appear on an otherwise empty line; however, some screen readers may not always read a line of text that consists solely of a bracket or brace.

Accessibility of Links to External Web Sites in Documentation

This documentation may contain links to Web sites of other companies or organizations that Oracle does not own or control. Oracle neither evaluates nor makes any representations regarding the accessibility of these Web sites.

TTY Access to Oracle Support Services

Oracle provides dedicated Text Telephone (TTY) access to Oracle Support Services within the United States of America 24 hours a day, seven days a week. For TTY support, call 800.446.2398.


Oracle Application Server Certification Information, 10 g Release 2 (10.1.2.0.2)

B25703-62

Copyright © 2005, Oracle. All rights reserved.

The Programs (which include both the software and documentation) contain proprietary information; they are provided under a license agreement containing restrictions on use and disclosure and are also protected by copyright, patent, and other intellectual and industrial property laws. Reverse engineering, disassembly, or decompilation of the Programs, except to the extent required to obtain interoperability with other independently created software or as specified by law, is prohibited.

The information contained in this document is subject to change without notice. If you find any problems in the documentation, please report them to us in writing. This document is not warranted to be error-free. Except as may be expressly permitted in your license agreement for these Programs, no part of these Programs may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose.

If the Programs are delivered to the United States Government or anyone licensing or using the Programs on behalf of the United States Government, the following notice is applicable:

U.S. GOVERNMENT RIGHTS Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are "commercial computer software" or "commercial technical data" pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the Programs, including documentation and technical data, shall be subject to the licensing restrictions set forth in the applicable Oracle license agreement, and, to the extent applicable, the additional rights set forth in FAR 52.227-19, Commercial Computer Software—Restricted Rights (June 1987). Oracle Corporation, 500 Oracle Parkway, Redwood City, CA 94065

The Programs are not intended for use in any nuclear, aviation, mass transit, medical, or other inherently dangerous applications. It shall be the licensee's responsibility to take all appropriate fail-safe, backup, redundancy and other measures to ensure the safe use of such applications if the Programs are used for such purposes, and we disclaim liability for any damages caused by such use of the Programs.

Oracle, JD Edwards, and PeopleSoft are registered trademarks of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.

The Programs may provide links to Web sites and access to content, products, and services from third parties. Oracle is not responsible for the availability of, or any content provided on, third-party Web sites. You bear all risks associated with the use of such content. If you choose to purchase any products or services from a third party, the relationship is directly between you and the third party. Oracle is not responsible for: (a) the quality of third-party products or services; or (b) fulfilling any of the terms of the agreement with the third party, including delivery of products or services and warranty obligations related to purchased products or services. Oracle is not responsible for any loss or damage of any sort that you may incur from dealing with any third party.


 
Oracle Logo
Copyright © 2005, Oracle. All rights reserved.